
# coding: utf-8

# ## Image processing
# 
# Python offers many tools for image processing using the [SciKit module](http://scikit-image.org/)

# In[1]:


# load modules
import numpy as np
from skimage import data
import matplotlib.pyplot as plt


# In[2]:


# load standard image
camera = data.camera()

# plot
plt.imshow(camera,cmap='gray')


# In[3]:


# images are numerical arrays
camera[0:50,0:50] = 0

# 
plt.imshow(camera,cmap='gray')


# In[4]:


# filtering
from skimage.morphology import disk
from skimage.filters import gaussian

selem = disk(20)
blurred = gaussian(camera, sigma=(10,10))

plt.imshow(blurred,cmap='gray')


# In[10]:


# load standard image
camera = data.camera()
camera = camera + 100*np.random.random(camera.shape)
# plot
plt.imshow(camera,cmap='gray')

